cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r837695 - in /websites/staging/cayenne/trunk/content: ./ eclipse.html
Date Thu, 08 Nov 2012 18:18:51 GMT
Author: buildbot
Date: Thu Nov  8 18:18:50 2012
New Revision: 837695

Log:
Staging update by buildbot for cayenne

Modified:
    websites/staging/cayenne/trunk/content/   (props changed)
    websites/staging/cayenne/trunk/content/eclipse.html

Propchange: websites/staging/cayenne/trunk/content/
------------------------------------------------------------------------------
--- cms:source-revision (original)
+++ cms:source-revision Thu Nov  8 18:18:50 2012
@@ -1 +1 @@
-1407201
+1407202

Modified: websites/staging/cayenne/trunk/content/eclipse.html
==============================================================================
--- websites/staging/cayenne/trunk/content/eclipse.html (original)
+++ websites/staging/cayenne/trunk/content/eclipse.html Thu Nov  8 18:18:50 2012
@@ -96,43 +96,24 @@
 
 <hr>
 <div id="content">
-       <p><a name="Eclipse-UsingEclipsewithMavenizedCayenne"></a></p>
-<h2 id="using-eclipse-with-mavenized-cayenne">Using Eclipse with Mavenized Cayenne</h2>
-<p><em>(starting with version 3.0)</em></p>
+       <h2 id="working-with-cayenne-code-in-eclipse">Working with Cayenne code in Eclipse</h2>
 <ul>
 <li>
 <p>Get code from Subversion and <a href="building-cayenne.html">build it from
command line</a>
- to seed the local repository.  <em>Do not use "mvn eclipse:eclipse"</em> --
the
-.project and .classpath files for eclipse are already in svn.</p>
+ to seed the local repository.</p>
 </li>
 <li>
-<p>Create a workspace outside of the main checkout folder. Make sure the
-default JRE in Eclipse is 1.5.</p>
+<p>Create a workspace outside of the main checkout folder.</p>
 </li>
 <li>
-<p>Install <a href="http://m2eclipse.sonatype.org/">Maven2 Eclipse plugin</a></p>
+<p>Install <a href="http://www.sonatype.org/m2eclipse/">Maven2 Eclipse plugin</a></p>
 </li>
 <li>
-<p>Install <a href="http://subclipse.tigris.org/">Subclipse Eclipse plugin</a>
- if you are planning to use SVN.</p>
+<p>Install any other plugins that you would normally use. </p>
 </li>
 <li>
-<p>Import modules into the eclipse workspace. You don't have to import all
-modules, only those that you are planning to work on, as the projects do
-not have Eclipse-level dependencies on each other (dependencies are
-resolved via the Maven2 plugin and maven repository jars). Here is the
-modules you might want to have in the workspace:</p>
+<p>Go to "File &gt; Import ... &gt; Existing Maven Projects", and import the
projects that you want.</p>
 </li>
-<li>
-<p><em>framework/cayenne-jdk1.5-unpublished</em></p>
-</li>
-<li><em>framework/cayenne-modeler</em></li>
-<li><em>framework/cayenne-tools</em></li>
-</ul>
-<p>Also possibly</p>
-<ul>
-<li><em>framework/maven-cayenne-plugin</em></li>
-<li><em>framework/maven-cayenne-modeler-plugin</em></li>
 </ul>
        <hr>
        <p id="footer">Copyright &#169; 2001-2012 Apache Software Foundation. Apache
Cayenne, Cayenne, Apache, the Apache feather logo, and the Apache Cayenne project logo are
trademarks of The Apache Software Foundation. <a href="/privacy-policy.html">Privacy
policy</a>.



Mime
View raw message